# Uses of Class
it.tdlight.jni.TdApi.Date

## Uses of TdApi.Date in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Date
Modifier and Type
Field
Description
`TdApi.Date`
TdApi.PersonalDetails.`birthdate`
Birthdate of the user.
`TdApi.Date`
TdApi.IdentityDocument.`expiryDate`
Document expiry date; may be null if not applicable.
`TdApi.Date`
TdApi.InputIdentityDocument.`expiryDate`
Document expiry date; pass null if not applicable.
Constructors in it.tdlight.jni with parameters of type TdApi.Date
Modifier
Constructor
Description
``
`IdentityDocument(String number, TdApi.Date expiryDate, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation)`
An identity document.
``
`InputIdentityDocument(String number, TdApi.Date expiryDate, TdApi.InputFile frontSide, TdApi.InputFile reverseSide, TdApi.InputFile selfie, TdApi.InputFile[] translation)`
An identity document to be saved to Telegram Passport.
``
`PersonalDetails(String firstName, String middleName, String lastName, String nativeFirstName, String nativeMiddleName, String nativeLastName, TdApi.Date birthdate, String gender, String countryCode, String residenceCountryCode)`
Contains the user's personal details.